Slackwarearm-current ChangeLog (2019-12-31)

Tue Dec 31 08:08:08 UTC 2019

  • a/aaa_elflibs-15.0-arm-16.txz
    Upgraded: libcap.so.2.28, libelf-0.178.so, libglib-2.0.so.0.6200.4,
    libgmodule-2.0.so.0.6200.4, libgobject-2.0.so.0.6200.4,
    libgthread-2.0.so.0.6200.4, libidn2.so.0.3.7, libpcre2-8.so.0.9.0,
    libtdb.so.1.4.3.
    Added: libffi.so.7.1.0.
  • a/file-5.38-arm-2.txz
    Patched to fix ELF shared libraries misidentified as “statically linked.”
  • a/procps-ng-3.3.16-arm-2.txz
    Patched to hardcode the pgrep command string buffer size to 4096 as was done
    in the previous release. This avoids an allocation error when the stack size
    is unlimited. Thanks to Jeroslaw Siebert.
  • d/doxygen-1.8.15-arm-2.txz
  • d/guile-2.2.6-arm-3.txz
    Recompiled against libffi-3.3.
  • d/python-2.7.17-arm-2.txz
    Recompiled against libffi-3.3.
  • d/subversion-1.13.0-arm-2.txz
    Recompiled against ruby-2.7.0.
  • kde/korundum-4.14.3-arm-8.txz
    Recompiled against ruby-2.7.0.
  • kde/krdc-4.14.3-arm-6.txz
    Recompiled against libvncserver-0.9.12.
  • kde/qtruby-4.14.3-arm-9.txz
    Recompiled against ruby-2.7.0.
  • l/eigen3-3.2.10-arm-4.txz
    Fixed header path in eigen3.pc. Thanks to gouttegd.
  • l/glib2-2.62.4-arm-2.txz
    Recompiled against libffi-3.3.
  • l/gobject-introspection-1.62.0-arm-3.txz
    Recompiled against libffi-3.3.
  • l/pygobject-2.28.7-arm-5.txz
    Recompiled against libffi-3.3.
  • l/pygobject3-3.34.0-arm-2.txz
    Recompiled against libffi-3.3.
  • n/epic5-2.1.1-arm-4.txz
    Ruby support won't build, so we'll skip it for now.
  • n/p11-kit-0.23.18.1-arm-2.txz
    Recompiled against libffi-3.3.
  • a/kernel-firmware-20191220_6871bff-noarch-1.txz
  • a/openssl10-solibs-1.0.2u-arm-1.txz
    (* Security fix *)
  • a/xfsprogs-5.4.0-arm-1.txz
  • ap/nano-4.7-arm-1.txz
  • ap/sysstat-12.3.1-arm-1.txz
  • ap/vim-8.2.0050-arm-1.txz
  • d/llvm-9.0.1-arm-1.txz
    Compiled against libffi-3.3.
  • d/parallel-20191222-noarch-1.txz
  • d/python3-3.7.6-arm-1.txz
    Compiled against libffi-3.3.
  • d/ruby-2.7.0-arm-1.txz
    Shared library .so-version bump.
    Recompiled against ruby-2.7.0.
    Recompiled against libffi-3.3.
  • l/QScintilla-2.11.4-arm-1.txz
  • l/imagemagick-7.0.9_12-arm-1.txz
  • l/libcap-2.29-arm-1.txz
  • l/libffi-3.3-arm-1.txz
    Shared library .so-version bump.
  • l/libvncserver-0.9.12-arm-1.txz
    Shared library .so-version bump.
  • l/libvpx-1.8.2-arm-1.txz
  • l/sip-4.19.20-arm-1.txz
  • n/NetworkManager-1.22.2-arm-1.txz
  • n/cifs-utils-6.10-arm-1.txz
  • n/dhcpcd-8.1.4-arm-1.txz
  • n/lftp-4.9.0-arm-1.txz
  • n/libmbim-1.20.4-arm-1.txz
  • n/libtirpc-1.2.5-arm-1.txz
  • n/openssl10-1.0.2u-arm-1.txz
    This update fixes a low severity security issue:
    Fixed an an overflow bug in the x86_64 Montgomery squaring procedure used in
    exponentiation with 512-bit moduli.
    For more information, see:
    https://www.openssl.org/news/secadv/20191206.txt
    https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-1551
    (* Security fix *)
  • x/libva-2.6.0-arm-1.txz
  • x/libva-utils-2.6.0-arm-1.txz
  • x/libwacom-1.2-arm-1.txz
  • x/xf86-input-wacom-0.39.0-arm-1.txz
  • xap/hexchat-2.14.3-arm-1.txz
  • xap/vim-gvim-8.2.0050-arm-1.txz
  • xfce/tumbler-0.2.8-arm-1.txz
  • extra/tigervnc/tigervnc-1.10.1-arm-1.txz
    From tigervnc.org: “This is a security release to fix a number of issues
    that were found by Kaspersky Lab. These issues affect both the client and
    server and could theoretically allow a malicious peer to take control
    over the software on the other side. No working exploit is known at this
    time, and the issues require the peer to first be authenticated. We still
    urge users to upgrade when possible.”
    (* Security fix *)
  • news/2019/12/31/slackwarearm-current-changelog.txt
  • Last modified: 7 months ago
  • by Giuseppe Di Terlizzi